> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create experiment

> Create an experiment with a name. Returns the ID of the newly created experiment.
Validates that another experiment with the same name does not already exist and fails if another experiment with the same name already exists.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow/experiments/create
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/experiments/create:
    post:
      tags:
        - MLflow experiments and runs
      description: >-
        Create an experiment with a name. Returns the ID of the newly created
        experiment.

        Validates that another experiment with the same name does not already
        exist and fails if another experiment with the same name already exists.
      operationId: experiments.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_CreateExperimentRequest'
      responses:
        '200':
          description: Created experiment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_CreateExperimentResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_CreateExperimentRequest:
      properties:
        artifact_location:
          description: >-
            Location where all artifacts for the experiment are stored.

            If not provided, the remote server will select an appropriate
            default.
          type: string
        name:
          description: Experiment name.
          type: string
        tags:
          description: >-
            A collection of tags to set on the experiment. Maximum tag size and
            number of tags per request

            depends on the storage backend. All storage backends are guaranteed
            to support tag keys up

            to 250 bytes in size and tag values up to 5000 bytes in size. All
            storage backends are also

            guaranteed to support up to 20 tags per request.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
      required:
        - name
      type: object
    mlflow-proxy_CreateExperimentResponse:
      properties:
        experiment_id:
          description: Unique identifier for the experiment.
          type: string
      required:
        - experiment_id
      type: object
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Track and monitor experiments](/cloud/platform-capabilities/features/development/track-monitor.md)
- [Experiment Manager](/cloud/platform-capabilities/features/agents/experiment.md)
- [[DEPRECATED] Create a new Registered Model from an experiment run](/api-reference/registered-models/[deprecated]-create-a-new-registered-model-from-an-experiment-run.md)
- [Create run](/api-reference/mlflow-experiments-and-runs/post-api20mlflowrunscreate.md)
